summaryrefslogtreecommitdiffstats
path: root/fish/test-d.sh
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2012-03-12 15:09:15 +0000
committerRichard W.M. Jones <rjones@redhat.com>2012-03-12 15:09:15 +0000
commit1f603bfd6d7cd17e88f737a496b7e5ee053750c2 (patch)
treed9d93107f51f5b913349af85dff39402c063d3cf /fish/test-d.sh
parent2c8ead5aa0e6b821bf2d21a89e437e9a6c0ed1ca (diff)
downloadlibguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.tar.gz
libguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.tar.xz
libguestfs-1f603bfd6d7cd17e88f737a496b7e5ee053750c2.zip
fish: Rename tests and make test paths relative.
When these tests were originally in the old regressions/ directory, they used to refer to guestfish via the path '../fish/guestfish'. Some of the tests were also called 'test-guestfish-*'. Now that the tests have been moved into the fish/ directory, neither of these things make sense. So change the relative path to './guestfish' and rename all 'test-guestfish-*' as 'test-*'.
Diffstat (limited to 'fish/test-d.sh')
-rwxr-xr-xfish/test-d.sh73
1 files changed, 73 insertions, 0 deletions
diff --git a/fish/test-d.sh b/fish/test-d.sh
new file mode 100755
index 00000000..6475ad83
--- /dev/null
+++ b/fish/test-d.sh
@@ -0,0 +1,73 @@
+#!/bin/bash -
+# libguestfs
+# Copyright (C) 2010 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+# Test guestfish -d option.
+
+set -e
+
+rm -f test1.img test2.img test3.img test4.img test.xml test.out
+
+cwd="$(pwd)"
+
+truncate -s 1M test1.img test2.img test3.img test4.img
+
+# Libvirt test XML, see libvirt.git/examples/xml/test/testnode.xml
+cat > test.xml <<EOF
+<node>
+ <domain type="test">
+ <name>guest</name>
+ <os>
+ <type>hvm</type>
+ <boot dev='hd'/>
+ </os>
+ <memory>524288</memory>
+ <devices>
+ <disk type="file">
+ <source file="$cwd/test1.img"/>
+ <target dev="hda"/>
+ </disk>
+ <disk type="file">
+ <driver name="qemu" type="raw"/>
+ <source file="$cwd/test2.img"/>
+ <target dev="hdb"/>
+ </disk>
+ <disk type="file">
+ <driver name="qemu" type="qcow2"/>
+ <source file="$cwd/test3.img"/>
+ <target dev="hdc"/>
+ </disk>
+ <disk type="file">
+ <driver name="qemu" type="raw"/>
+ <source file="$cwd/test4.img"/>
+ <target dev="hdd"/>
+ <readonly/>
+ </disk>
+ </devices>
+ </domain>
+</node>
+EOF
+
+./guestfish -c "test://$cwd/test.xml" --ro -d guest \
+ debug-drives </dev/null >test.out
+grep -sq "test1.img.*snapshot=on" test.out
+! grep -sq "test1.img.*format" test.out
+grep -sq "test2.img.*snapshot=on.*format=raw" test.out
+grep -sq "test3.img.*snapshot=on.*format=qcow2" test.out
+grep -sq "test4.img.*snapshot=on.*format=raw" test.out
+
+rm -f test1.img test2.img test3.img test4.img test.xml test.out